import { InjectionToken, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { NavigationExtras, Router } from '@angular/router';
import { NavigationService } from '@yukawa/chain-base-angular-comp/shared';
import { PlainObject } from 'simplytyped';
import * as i0 from "@angular/core";
export declare const BACK_ICON: InjectionToken<unknown>;
export declare const CLOSE_ICON: InjectionToken<unknown>;
export declare class YukawaCloseButtonComponent implements OnInit, OnDestroy, OnChanges {
    #private;
    classNames: string;
    private _backIcon;
    private _closeIcon;
    private readonly _navigationService;
    private readonly _router;
    autoMargin: boolean | undefined;
    displayIcon: boolean;
    displayText: boolean;
    navigationExtras: NavigationExtras | undefined;
    queryParams: PlainObject | undefined;
    routerLink: string | undefined;
    style: 'close' | 'back';
    hideTextOnSmallScreen: boolean;
    constructor(classNames: string, _backIcon: string, _closeIcon: string, _navigationService: NavigationService, _router: Router);
    get backSvgIcon(): string;
    get closeSvgIcon(): string;
    set backIcon(value: 'close' | 'back');
    set closeIcon(value: 'close' | 'back');
    get class(): string;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    close(): Promise<boolean>;
    private setRouterLinkParams;
    static ɵfac: i0.ɵɵFactoryDeclaration<YukawaCloseButtonComponent, [{ attribute: "class"; }, null, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<YukawaCloseButtonComponent, "yukawa-close-button", never, { "autoMargin": { "alias": "autoMargin"; "required": false; }; "displayIcon": { "alias": "displayIcon"; "required": false; }; "displayText": { "alias": "displayText"; "required": false; }; "navigationExtras": { "alias": "navigationExtras"; "required": false; }; "queryParams": { "alias": "queryParams"; "required": false; }; "routerLink": { "alias": "routerLink"; "required": false; }; "style": { "alias": "style"; "required": false; }; "hideTextOnSmallScreen": { "alias": "hideTextOnSmallScreen"; "required": false; }; "backIcon": { "alias": "backIcon"; "required": false; }; "closeIcon": { "alias": "closeIcon"; "required": false; }; }, {}, never, never, false, never>;
}
