import { ChangeDetectorRef, ElementRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export type AutocompleteSearchFunction = (filter: string | null) => Promise<void>;
export declare class AutocompleteOptionsDirective implements OnChanges, OnDestroy {
    #private;
    private readonly _changeDetector;
    private readonly _elementRef;
    search: AutocompleteSearchFunction;
    constructor(_changeDetector: ChangeDetectorRef, _elementRef: ElementRef<HTMLInputElement>);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutocompleteOptionsDirective, [{ skipSelf: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutocompleteOptionsDirective, "input[autocompleteOptions]", never, { "search": { "alias": "search"; "required": false; }; }, {}, never, never, false, never>;
}
