import { Overlay, OverlayPositionBuilder } from '@angular/cdk/overlay';
import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { EmojiEvent } from '../service';
import * as i0 from "@angular/core";
export declare class EmojiTooltipDirective implements OnInit, OnDestroy {
    private overlayPositionBuilder;
    private elementRef;
    private overlay;
    title: string;
    pickerClass: string;
    emoji: string;
    virtualize: boolean;
    toggleTooltip: EventEmitter<boolean>;
    emojiClick: EventEmitter<EmojiEvent>;
    private _overlayRef;
    private _toolTipRef;
    private _mouseX;
    private _mouseY;
    constructor(overlayPositionBuilder: OverlayPositionBuilder, elementRef: ElementRef, overlay: Overlay);
    get elementHovered(): boolean;
    show(): void;
    hide(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private onDocumentClick;
    private onMouseUpdate;
    private toggle;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmojiTooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EmojiTooltipDirective, "[emojiTooltip]", ["emojiTooltip"], { "title": { "alias": "title"; "required": false; }; "pickerClass": { "alias": "pickerClass"; "required": false; }; "emoji": { "alias": "emoji"; "required": false; }; "virtualize": { "alias": "virtualize"; "required": false; }; "toggleTooltip": { "alias": "toggleTooltip"; "required": false; }; }, { "emojiClick": "emojiClick"; }, never, never, false, never>;
}
