import { ElementRef, OnInit } from '@angular/core';
import { AbstractControl, FormControl, NgControl, NgModel } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class NativeElementInjectorDirective implements OnInit {
    private el;
    private control;
    private model;
    constructor(el: ElementRef, control: NgControl, model: NgModel);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NativeElementInjectorDirective, [null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NativeElementInjectorDirective, "[formControl], [formControlName]", never, {}, {}, never, never, false, never>;
}
export interface NativeElementFormControl extends FormControl {
    nativeElement: HTMLElement;
}
export interface NativeElementNgControl extends AbstractControl {
    nativeElement: HTMLElement;
}
