import { AfterViewInit, OnDestroy, TemplateRef, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class RenderIfVisibleDirective implements AfterViewInit, OnDestroy {
    #private;
    private vcRef;
    private tplRef;
    minWidth: number;
    minHeight: number;
    rootMargin: number;
    marginRoot: Element;
    className: string;
    constructor(vcRef: ViewContainerRef, tplRef: TemplateRef<any>);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private observeIntersection;
    private observeCLassMutation;
    private renderContents;
    private setMinWidthHeight;
    static ɵfac: i0.ɵɵFactoryDeclaration<RenderIfVisibleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RenderIfVisibleDirective, "[renderIfVisible]", never, { "minWidth": { "alias": "minWidth"; "required": false; }; "minHeight": { "alias": "minHeight"; "required": false; }; "rootMargin": { "alias": "rootMargin"; "required": false; }; "marginRoot": { "alias": "marginRoot"; "required": false; }; "className": { "alias": "className"; "required": false; }; }, {}, never, never, false, never>;
}
