import { BreakpointState } from '@angular/cdk/layout';
import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
export interface IMediaWatcherService {
    onMediaChange$: Observable<{
        matchingAliases: string[];
        matchingQueries: any;
    }>;
    onMediaQueryChange$(query: string | string[]): Observable<BreakpointState>;
}
export declare const MEDIA_WATCHER_SERVICE: InjectionToken<IMediaWatcherService>;
