import { InjectionToken as AngularInjectionToken, Injector, NgZone } from '@angular/core';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare const SPLASHSCREEN_ANIMATED_TOKEN: AngularInjectionToken<boolean>;
export declare class YukawaSplashScreenService {
    private readonly _document;
    private readonly _injector;
    private readonly _router;
    private readonly _ngZone;
    private hideTimeout?;
    /**
     * Constructor
     */
    constructor(_document: Document, _injector: Injector, _router: Router, _ngZone: NgZone);
    static get logsAvailable(): boolean;
    private get hideClassName();
    /**
     * Show the splash screen
     */
    show(): void;
    /**
     * Hide the splash screen
     */
    hide(force?: boolean): void;
    private closSplashScreen;
    private logged;
    static ɵfac: i0.ɵɵFactoryDeclaration<YukawaSplashScreenService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<YukawaSplashScreenService>;
}
