import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { YukawaConfirmationConfig, YukawaConfirmationResult } from './confirmation.types';
import { YukawaConfirmationDialogComponent } from './dialog/dialog.component';
import * as i0 from "@angular/core";
export declare class YukawaConfirmationService {
    private _matDialog;
    private _defaultConfig;
    /**
     * Constructor
     */
    constructor(_matDialog: MatDialog);
    open(config?: YukawaConfirmationConfig): MatDialogRef<YukawaConfirmationDialogComponent, YukawaConfirmationResult>;
    static ɵfac: i0.ɵɵFactoryDeclaration<YukawaConfirmationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<YukawaConfirmationService>;
}
