import * as i4 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ViewEncapsulation, Inject, Injectable, NgModule } from '@angular/core';
import * as i2 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i1 from '@angular/material/dialog';
import { MAT_DIALOG_DATA, MatDialogModule } from '@angular/material/dialog';
import * as i3 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import { merge } from 'lodash-es';
import * as i5 from '@yukawa/chain-base-angular-comp/shared';
import { SharedModule } from '@yukawa/chain-base-angular-comp/shared';

const _c0 = (a0, a1, a2, a3, a4, a5, a6, a7) => ({ "text-primary-600 bg-primary-100 dark:text-primary-50 dark:bg-primary-600": a0, "text-accent-600 bg-accent-100 dark:text-accent-50 dark:bg-accent-600": a1, "text-warn-600 bg-warn-100 dark:text-warn-50 dark:bg-warn-600": a2, "text-gray-600 bg-gray-100 dark:text-gray-50 dark:bg-gray-600": a3, "text-blue-600 bg-blue-100 dark:text-blue-50 dark:bg-blue-600": a4, "text-green-500 bg-green-100 dark:text-green-50 dark:bg-green-500": a5, "text-amber-500 bg-amber-100 dark:text-amber-50 dark:bg-amber-500": a6, "text-red-600 bg-red-100 dark:text-red-50 dark:bg-red-600": a7 });
function YukawaConfirmationDialogComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 3)(2, "button", 4);
    i0.ɵɵelement(3, "mat-icon", 5);
    i0.ɵɵelementEnd()();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("matDialogClose", undefined);
    i0.ɵɵadvance();
    i0.ɵɵproperty("svgIcon", "heroicons_outline:x");
} }
function YukawaConfirmationDialogComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 6);
    i0.ɵɵelement(2, "mat-icon", 7);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction8(2, _c0, ctx_r0.data.icon.color === "primary", ctx_r0.data.icon.color === "accent", ctx_r0.data.icon.color === "warn", ctx_r0.data.icon.color === "basic", ctx_r0.data.icon.color === "info", ctx_r0.data.icon.color === "success", ctx_r0.data.icon.color === "warning", ctx_r0.data.icon.color === "error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("svgIcon", ctx_r0.data.icon.name);
} }
function YukawaConfirmationDialogComponent_ng_container_4_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "div", 9);
    i0.ɵɵpipe(2, "sanitizer");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("innerHTML", ctx_r0.data.sanitizeContent ? i0.ɵɵpipeBind1(2, 1, ctx_r0.data.title) : ctx_r0.data.title, i0.ɵɵsanitizeHtml);
} }
function YukawaConfirmationDialogComponent_ng_container_4_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "div", 10);
    i0.ɵɵpipe(2, "sanitizer");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("innerHTML", ctx_r0.data.sanitizeContent ? i0.ɵɵpipeBind1(2, 1, ctx_r0.data.message) : ctx_r0.data.message, i0.ɵɵsanitizeHtml);
} }
function YukawaConfirmationDialogComponent_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 8);
    i0.ɵɵtemplate(2, YukawaConfirmationDialogComponent_ng_container_4_ng_container_2_Template, 3, 3, "ng-container", 1)(3, YukawaConfirmationDialogComponent_ng_container_4_ng_container_3_Template, 3, 3, "ng-container", 1);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.data.title);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.data.message);
} }
function YukawaConfirmationDialogComponent_ng_container_5_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "button", 12);
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("matDialogClose", "cancelled");
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r0.data.actions.cancel.label, " ");
} }
function YukawaConfirmationDialogComponent_ng_container_5_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "button", 13);
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("color", ctx_r0.data.actions.confirm.color)("matDialogClose", "confirmed");
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r0.data.actions.confirm.label, " ");
} }
function YukawaConfirmationDialogComponent_ng_container_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 11);
    i0.ɵɵtemplate(2, YukawaConfirmationDialogComponent_ng_container_5_ng_container_2_Template, 3, 2, "ng-container", 1)(3, YukawaConfirmationDialogComponent_ng_container_5_ng_container_3_Template, 3, 3, "ng-container", 1);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.data.actions.cancel.show);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.data.actions.confirm.show);
} }
class YukawaConfirmationDialogComponent {
    data;
    matDialogRef;
    /**
     * Constructor
     */
    constructor(data, matDialogRef) {
        this.data = data;
        this.matDialogRef = matDialogRef;
    }
    // -----------------------------------------------------------------------------------------------------
    // @ Lifecycle hooks
    // -----------------------------------------------------------------------------------------------------
    /**
     * On init
     */
    ngOnInit() {
    }
    /** @nocollapse */ static ɵfac = function YukawaConfirmationDialogComponent_Factory(t) { return new (t || YukawaConfirmationDialogComponent)(i0.ɵɵdirectiveInject(MAT_DIALOG_DATA), i0.ɵɵdirectiveInject(i1.MatDialogRef)); };
    /** @nocollapse */ static ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: YukawaConfirmationDialogComponent, selectors: [["yukawa-confirmation-dialog"]], decls: 6, vars: 4, consts: [[1, "relative", "flex", "flex-col", "w-full", "h-full"], [4, "ngIf"], [1, "flex", "flex-col", "sm:flex-row", "flex-auto", "items-center", "sm:items-start", "p-8", "pb-6", "sm:pb-8"], [1, "absolute", "top-0", "right-0", "pt-4", "pr-4"], ["mat-icon-button", "", 3, "matDialogClose"], [1, "text-secondary", 3, "svgIcon"], [1, "flex", "flex-0", "items-center", "justify-center", "w-10", "h-10", "sm:mr-4", "rounded-full", 3, "ngClass"], [1, "text-current", 3, "svgIcon"], [1, "flex", "flex-col", "items-center", "sm:items-start", "mt-4", "sm:mt-0", "sm:pr-8", "space-y-1", "text-center", "sm:text-left"], [1, "text-xl", "leading-6", "font-medium", 3, "innerHTML"], [1, "text-secondary", 3, "innerHTML"], [1, "flex", "items-center", "justify-center", "sm:justify-end", "px-6", "py-4", "space-x-3", "bg-gray-50", "dark:bg-black", "dark:bg-opacity-10"], ["mat-stroked-button", "", 3, "matDialogClose"], ["mat-flat-button", "", 3, "color", "matDialogClose"]], template: function YukawaConfirmationDialogComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, YukawaConfirmationDialogComponent_ng_container_1_Template, 4, 2, "ng-container", 1);
            i0.ɵɵelementStart(2, "div", 2);
            i0.ɵɵtemplate(3, YukawaConfirmationDialogComponent_ng_container_3_Template, 3, 11, "ng-container", 1)(4, YukawaConfirmationDialogComponent_ng_container_4_Template, 4, 2, "ng-container", 1);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(5, YukawaConfirmationDialogComponent_ng_container_5_Template, 4, 2, "ng-container", 1);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.data.dismissible);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.data.icon.show);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.data.title || ctx.data.message);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.data.actions.confirm.show || ctx.data.actions.cancel.show);
        } }, dependencies: [i2.MatButton, i2.MatIconButton, i1.MatDialogClose, i3.MatIcon, i4.NgClass, i4.NgIf, i5.SanitizerPipe], encapsulation: 2 });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(YukawaConfirmationDialogComponent, [{
        type: Component,
        args: [{ selector: 'yukawa-confirmation-dialog', encapsulation: ViewEncapsulation.None, template: "<div class=\"relative flex flex-col w-full h-full\">\n\n    <!-- Dismiss button -->\n    <ng-container *ngIf=\"data.dismissible\">\n        <div class=\"absolute top-0 right-0 pt-4 pr-4\">\n            <button\n                mat-icon-button\n                [matDialogClose]=\"undefined\">\n                <mat-icon\n                    class=\"text-secondary\"\n                    [svgIcon]=\"'heroicons_outline:x'\"></mat-icon>\n            </button>\n        </div>\n    </ng-container>\n\n    <!-- Content -->\n    <div class=\"flex flex-col sm:flex-row flex-auto items-center sm:items-start p-8 pb-6 sm:pb-8\">\n\n        <!-- Icon -->\n        <ng-container *ngIf=\"data.icon.show\">\n            <div\n                class=\"flex flex-0 items-center justify-center w-10 h-10 sm:mr-4 rounded-full\"\n                [ngClass]=\"{'text-primary-600 bg-primary-100 dark:text-primary-50 dark:bg-primary-600': data.icon.color === 'primary',\n                            'text-accent-600 bg-accent-100 dark:text-accent-50 dark:bg-accent-600': data.icon.color === 'accent',\n                            'text-warn-600 bg-warn-100 dark:text-warn-50 dark:bg-warn-600': data.icon.color === 'warn',\n                            'text-gray-600 bg-gray-100 dark:text-gray-50 dark:bg-gray-600': data.icon.color === 'basic',\n                            'text-blue-600 bg-blue-100 dark:text-blue-50 dark:bg-blue-600': data.icon.color === 'info',\n                            'text-green-500 bg-green-100 dark:text-green-50 dark:bg-green-500': data.icon.color === 'success',\n                            'text-amber-500 bg-amber-100 dark:text-amber-50 dark:bg-amber-500': data.icon.color === 'warning',\n                            'text-red-600 bg-red-100 dark:text-red-50 dark:bg-red-600': data.icon.color === 'error'\n                            }\">\n                <mat-icon\n                    class=\"text-current\"\n                    [svgIcon]=\"data.icon.name\"></mat-icon>\n            </div>\n        </ng-container>\n\n        <ng-container *ngIf=\"data.title || data.message\">\n            <div\n                class=\"flex flex-col items-center sm:items-start mt-4 sm:mt-0 sm:pr-8 space-y-1 text-center sm:text-left\">\n\n                <!-- Title -->\n                <ng-container *ngIf=\"data.title\">\n                    <div\n                        class=\"text-xl leading-6 font-medium\"\n                        [innerHTML]=\"data.sanitizeContent ? (data.title | sanitizer) : data.title\"></div>\n                </ng-container>\n\n                <!-- Message -->\n                <ng-container *ngIf=\"data.message\">\n                    <div\n                        class=\"text-secondary\"\n                        [innerHTML]=\"data.sanitizeContent ? (data.message | sanitizer) : data.message\"></div>\n                </ng-container>\n            </div>\n        </ng-container>\n\n    </div>\n\n    <!-- Actions -->\n    <ng-container *ngIf=\"data.actions.confirm.show || data.actions.cancel.show\">\n        <div\n            class=\"flex items-center justify-center sm:justify-end px-6 py-4 space-x-3 bg-gray-50 dark:bg-black dark:bg-opacity-10\">\n\n            <!-- Cancel -->\n            <ng-container *ngIf=\"data.actions.cancel.show\">\n                <button\n                    mat-stroked-button\n                    [matDialogClose]=\"'cancelled'\">\n                    {{ data.actions.cancel.label }}\n                </button>\n            </ng-container>\n\n            <!-- Confirm -->\n            <ng-container *ngIf=\"data.actions.confirm.show\">\n                <button\n                    mat-flat-button\n                    [color]=\"data.actions.confirm.color\"\n                    [matDialogClose]=\"'confirmed'\">\n                    {{ data.actions.confirm.label }}\n                </button>\n            </ng-container>\n\n        </div>\n    </ng-container>\n\n</div>\n" }]
    }], () => [{ type: undefined, decorators: [{
                type: Inject,
                args: [MAT_DIALOG_DATA]
            }] }, { type: i1.MatDialogRef }], null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(YukawaConfirmationDialogComponent, { className: "YukawaConfirmationDialogComponent", filePath: "dialog/dialog.component.ts", lineNumber: 11 }); })();

class YukawaConfirmationService {
    _matDialog;
    _defaultConfig = {
        title: 'Confirm action',
        message: 'Are you sure you want to confirm this action?',
        icon: {
            show: true,
            name: 'heroicons_outline:exclamation',
            color: 'warn',
        },
        actions: {
            confirm: {
                show: true,
                label: 'Confirm',
                color: 'warn',
            },
            cancel: {
                show: true,
                label: 'Cancel',
            },
        },
        dismissible: false,
    };
    /**
     * Constructor
     */
    constructor(_matDialog) {
        this._matDialog = _matDialog;
    }
    // -----------------------------------------------------------------------------------------------------
    // @ Public methods
    // -----------------------------------------------------------------------------------------------------
    open(config = {}) {
        // Merge the user config with the default config
        const userConfig = merge({}, this._defaultConfig, config);
        // Open the dialog
        return this._matDialog.open(YukawaConfirmationDialogComponent, {
            autoFocus: false,
            disableClose: !userConfig.dismissible,
            data: userConfig,
            panelClass: 'yukawa-confirmation-dialog-panel',
            minWidth: '50vw',
        });
    }
    /** @nocollapse */ static ɵfac = function YukawaConfirmationService_Factory(t) { return new (t || YukawaConfirmationService)(i0.ɵɵinject(i1.MatDialog)); };
    /** @nocollapse */ static ɵprov = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjectable({ token: YukawaConfirmationService, factory: YukawaConfirmationService.ɵfac });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(YukawaConfirmationService, [{
        type: Injectable
    }], () => [{ type: i1.MatDialog }], null); })();

class YukawaConfirmationModule {
    _yukawaConfirmationService;
    /**
     * Constructor
     */
    constructor(_yukawaConfirmationService) {
        this._yukawaConfirmationService = _yukawaConfirmationService;
    }
    /** @nocollapse */ static ɵfac = function YukawaConfirmationModule_Factory(t) { return new (t || YukawaConfirmationModule)(i0.ɵɵinject(YukawaConfirmationService)); };
    /** @nocollapse */ static ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: YukawaConfirmationModule });
    /** @nocollapse */ static ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ providers: [
            YukawaConfirmationService,
        ], imports: [MatButtonModule,
            MatDialogModule,
            MatIconModule,
            CommonModule,
            SharedModule] });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(YukawaConfirmationModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    YukawaConfirmationDialogComponent,
                ],
                imports: [
                    MatButtonModule,
                    MatDialogModule,
                    MatIconModule,
                    CommonModule,
                    SharedModule,
                ],
                providers: [
                    YukawaConfirmationService,
                ],
            }]
    }], () => [{ type: YukawaConfirmationService }], null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(YukawaConfirmationModule, { declarations: [YukawaConfirmationDialogComponent], imports: [MatButtonModule,
        MatDialogModule,
        MatIconModule,
        CommonModule,
        SharedModule] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { YukawaConfirmationModule, YukawaConfirmationService };
//# sourceMappingURL=yukawa-chain-base-angular-comp-confirmation.mjs.map
