import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./query-table.component";
import * as i2 from "./cell-component/cell-component.module";
import * as i3 from "@angular/common";
import * as i4 from "@angular/material/button";
import * as i5 from "@angular/material/checkbox";
import * as i6 from "@angular/material/icon";
import * as i7 from "@angular/material/paginator";
import * as i8 from "@angular/material/core";
import * as i9 from "@angular/material/sort";
import * as i10 from "@angular/material/table";
import * as i11 from "./reload-button/reload-button.module";
import * as i12 from "@angular/router";
import * as i13 from "@yukawa/chain-base-angular-comp/shared";
import * as i14 from "@jsverse/transloco";
import * as i15 from "@angular/material/tooltip";
export declare class QueryTableModule {
    static forRoot(addTagIcon?: string, reloadButton?: string): ModuleWithProviders<QueryTableModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueryTableModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<QueryTableModule, [typeof i1.QueryTableComponent], [typeof i2.CellComponentModule, typeof i3.CommonModule, typeof i4.MatButtonModule, typeof i5.MatCheckboxModule, typeof i6.MatIconModule, typeof i7.MatPaginatorModule, typeof i8.MatRippleModule, typeof i9.MatSortModule, typeof i10.MatTableModule, typeof i11.ReloadButtonModule, typeof i12.RouterModule, typeof i13.SharedModule, typeof i14.TranslocoModule, typeof i15.MatTooltipModule], [typeof i1.QueryTableComponent, typeof i11.ReloadButtonModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<QueryTableModule>;
}
