import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { TranslocoService } from '@jsverse/transloco';
import { MomentInput } from 'moment';
import { DateFormat } from '../pipe/elapsed-date.pipe';
import * as i0 from "@angular/core";
export declare class ElapsedDateDirective implements OnInit, AfterViewInit, OnDestroy {
    #private;
    private readonly _elementRef;
    value: MomentInput;
    update: boolean;
    updateInterval: number;
    dateFormat: DateFormat;
    withoutSuffix: boolean;
    private readonly _elapsedPipe;
    constructor(_elementRef: ElementRef<HTMLElement>, _translocoService: TranslocoService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ElapsedDateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ElapsedDateDirective, "[elapsedDate]", never, { "value": { "alias": "value"; "required": false; }; "update": { "alias": "update"; "required": false; }; "updateInterval": { "alias": "updateInterval"; "required": false; }; "dateFormat": { "alias": "dateFormat"; "required": false; }; "withoutSuffix": { "alias": "withoutSuffix"; "required": false; }; }, {}, never, never, false, never>;
}
