import { HttpClient } from '@angular/common/http';
import { Translation, TranslocoLoader } from '@jsverse/transloco';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TranslocoHttpLoader implements TranslocoLoader {
    private _httpClient;
    /**
     * Constructor
     */
    constructor(_httpClient: HttpClient);
    /**
     * Get translation
     *
     * @param lang
     */
    getTranslation(lang: string): Observable<Translation>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslocoHttpLoader, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TranslocoHttpLoader>;
}
