import { ModuleWithProviders } from '@angular/core';
import { TranslocoConfig, TranslocoService } from '@jsverse/transloco';
import * as i0 from "@angular/core";
import * as i1 from "@jsverse/transloco";
export declare class TranslocoCoreModule {
    private readonly _translocoService;
    constructor(_translocoService: TranslocoService);
    static forRoot(config: Partial<TranslocoConfig>): ModuleWithProviders<TranslocoCoreModule>;
    mergeTranslations(transformLocation: (lang: string) => string): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslocoCoreModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TranslocoCoreModule, never, never, [typeof i1.TranslocoModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TranslocoCoreModule>;
}
