/**
 * Returns the currently selected browser user language if contained
 * within the provided available languages or the provided default lang value.
 *
 * @param availableLanguages
 * @param defaultLanguage
 * @return
 */
export declare const getUserLanguage: <T extends string>(availableLanguages: Array<string>, defaultLanguage?: T) => T;
