import { PipeTransform } from '@angular/core';
import { TranslocoService } from '@jsverse/transloco';
import moment, { MomentInput } from 'moment';
import * as i0 from "@angular/core";
export type DateFormat = 'short' | 'long';
export declare class ElapsedDatePipe implements PipeTransform {
    private _translocoService;
    static _localeSpecifications: Map<string, moment.LocaleSpecification>;
    withoutSuffix: boolean;
    dateFormat: DateFormat;
    constructor(_translocoService: TranslocoService);
    get localeResourceKey(): string;
    transform(value: MomentInput, ...args: unknown[]): string | undefined;
    private initLocale;
    static ɵfac: i0.ɵɵFactoryDeclaration<ElapsedDatePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<ElapsedDatePipe, "elapsedDate", false>;
}
