import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Finds an object from given source using the given key - value pairs
 */
export declare class FindByKeyPipe implements PipeTransform {
    /**
     * Constructor
     */
    constructor();
    /**
     * Transform
     *
     * @param value A string or an array of strings to find from source
     * @param key Key of the object property to look for
     * @param source Array of objects to find from
     */
    transform(value: string | string[], key: string, source: any[]): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<FindByKeyPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<FindByKeyPipe, "findByKey", false>;
}
