export declare let SPLASH_SCREEN_TEMPLATE: import("@yukawa/chain-base-angular-client").ITemplateStringFunction<"reload" | "download" | "downloadText" | "downloadJson" | "close">;
export declare let SPLASH_SCREEN_LOG_TEMPLATE: import("@yukawa/chain-base-angular-client").ITemplateStringFunction<"appLog" | "type" | "message" | "logs">;
interface IWebComponent {
    connectedCallback(): void;
    disconnectedCallback(): void;
}
export default class YukawaSplashScreen extends HTMLElement implements IWebComponent {
    #private;
    constructor();
    private get logs();
    set listenToLog(value: boolean);
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    appLoaded: () => void;
    showLog(): void;
    toggleDots(toggle?: boolean): void;
    reload(): void;
    private init;
    private getElement;
    private displayDots;
    private logged;
}
declare global {
    interface Window {
        splashScreen: YukawaSplashScreen;
    }
}
export declare const YUKAWA_SPLASH_SCREEN_NAME = "yukawa-splash-screen";
export {};
